Невозможно установить 32-битные библиотеки для студии Android - proUbuntu
Винтажный Клуб для гитаристов
1 голос
/

Я использую 64-битную ОС Ubuntu 14.04 и не могу установить 32-битные библиотеки для студии Android. Это показывает, что мои пакеты сломаны. Я не знаю, как установить следующий код. Это показывает проблему зависимости.

sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0
Building dependency tree<br>       
Reading state information... Done<br>
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.<br>
The following information may help to resolve the situation:<br><br>

The following packages have unmet dependencies:<br>
 lib32bz2-1.0 : PreDepends: libc6-i386 (>= 2.9-18) but it is not going to be installed<br>
 lib32ncurses5 : Depends: lib32tinfo5 (= 5.9+20140118-1ubuntu1) but it is not going to be installed<br>
                 Depends: libc6-i386 (>= 2.4) but it is not going to be installed<br>
 lib32stdc++6 : Depends: lib32gcc1 (>= 1:4.1.1) but it is not going to be installed<br>
                Depends: libc6-i386 (>= 2.17) but it is not going to be installed<br>
 lib32z1 : Depends: libc6-i386 (>= 2.4) but it is not going to be installed<br>

Любой может помочь мне, пожалуйста.

1 Ответ

1 голос
/

Вы можете попробовать добавить 32-битную архитектуру в dpkg - sudo dpkg --add-architecture i386, или вы можете попробовать отредактировать файл /etc/apt/sources.list, добавить репозиторий Ubuntu 12.04 и запустить sudo apt-get update.

Добро пожаловать на сайт proUbuntu, где вы можете задавать вопросы и получать ответы от других членов сообщества.
...